// Copyright 1994 by Jon Dart.  All Rights Reserved.

#ifndef _COLOR_H
#define _COLOR_H

#include <iostream>

typedef int ColorType;
#define Black 0
#define White 1

inline ColorType OppositeColor( const ColorType color )
{
    return 1-color;
}

extern const char *ColorImage( const ColorType side );

#endif

