#ifndef _EVASIONS_H
#define _EVASIONS_H

#include "board.h"
#include "move.h"

// returns a list of the moves that may be used to escape
// check.  Unlike the regular move generation routine, all
// moves are checked for legality.
unsigned Check_Evasions(const Board &board, Move * moves, int captures_only);

#endif
