// Copyright 1994 by Jon Dart.  All Rights Reserved.

#ifndef _GLOBALS_H
#define _GLOBALS_H

// global variables

#include "movearr.h"
#include "moveord.h"
#include "log.h"
#include "options.h"
#include "book.h"
#include "posnbook.h"
#include "types.h"

extern char cmd_buf[256];
extern int cmd_buf_count;
#include <iostream>

extern Book *opening_book;
extern PositionBook *position_book;
extern Log *theLog;
//extern Options *global_options;
extern MoveArray *game_moves;
extern Options options;
extern char *programPath;
extern ofstream trace;

extern void init_options(const char *pathName);

extern void init_globals(const char *pathName, int intialize_book, int open_trace);

extern void CDECL cleanup_globals(void);

#endif

