// Copyright 1993 by Jon Dart.  All Rights Reserved.

#include "material.h"

// data layout in info field:
//bits	
//0-3	pawns
//4-7	knights
//8-11	bishops
//12-15	rooks
//16-19	queens
//20    kings

const int32 Material::masks[8] =
{ 0, 1, 0x10, 0x100, 0x1000, 0x10000, 0x100000, 0};

const int32 Material::masks2[8] =
{ 0, 0xf, 0xf0, 0xf00, 0xf000, 0xf0000, 0x100000, 0};

const int32 Material::levels[8] =
{ 0, 0, 1, 1, 2, 4, 0, 0};

/**unsigned Material::count(const PieceType p) const
{
   int32 info2 = info & masks2[(int)p];
   if (info2 == 0)
      return 0;
   switch (p)
   {
   case Pawn:
      return info2;
   case Knight:
      return info2 >> 3;
   case Bishop:
      return info2 >> 6;
   case Rook:
      return info2 >> 9;
   case Queen:
      return info2 >> 12;
   case King:
      return 1;
   default:
      return 0;
   }
}**/

void Material::clear()
{
   info = total = level = count = 0;
}
